<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>LOGIN</title>
    <link rel="stylesheet" href="../css/estilo.css">
    
    <link rel="stylesheet" href="../seguridad/css/login.css">
    <script src="../seguridad/js/login.js"></script>

    <script src="../seguridad/js/libreria.js"></script>

    <script src="https://www.gstatic.com/firebasejs/5.5.2/firebase.js"></script>
    <script src="https://www.gstatic.com/firebasejs/5.5.2/firebase-app.js"></script>
    <script src="https://www.gstatic.com/firebasejs/5.5.2/firebase-database.js"></script>
    
    <script>

        var firebaseConfig = {
            apiKey: "AIzaSyCnraYSxUh-aicQH0FaW4Op9Fc1kn3u7CY",
            authDomain: "farmaciasuspirodedios.firebaseapp.com",
            databaseURL: "https://farmaciasuspirodedios.firebaseio.com",
            projectId: "farmaciasuspirodedios",
            storageBucket: "farmaciasuspirodedios.appspot.com",
            messagingSenderId: "171862318579",
            appId: "1:171862318579:web:ed48d615e77ac9b3a64686",
            measurementId: "G-SCVV3KHQQK"
        };  

        // Initialize Firebase
        firebase.initializeApp(firebaseConfig);
        var database = firebase.database();
        var coleccionCliente = database.ref().child("cliente");
        console.log(coleccionCliente);

        coleccionCliente.on("value", function (snapshot) {
            // storing the snapshot.val() in a variable for convenience
            var sv = snapshot.val();
            console.log("sv " + sv); //returns [obj obj]

            // Getting an array of each key in the snapshot object
            var svArr = Object.keys(sv);
            console.log("svArr " + svArr); // [key1, key2, ..., keyn]
            // Console.log name of first key

            console.log(svArr.length);
            console.log(svArr[0]);
            console.log(svArr[1]);
        }, function (errorObject) {
            console.log("Errors handled: " + errorObject.code);
        });



        window.addEventListener('load', function () {


            let email = document.querySelector('#txtemail');
            let contrasenia = document.querySelector('#txtcontrasenia');


            document.querySelector('#btnlogin').addEventListener('click', function () {


                firebase.database().ref().child("cliente").on('value', function (snapshot) {
                    snapshot.forEach(function (childSnapshot) {
                        var email = childSnapshot.val().email;
                        console.log("email: " + email);
                    });
                });


                firebase.database().ref().child("cliente").orderByChild("identificacion").equalTo("0704570068").on('value', function (snapshot) {
                    snapshot.forEach(function (childSnapshot) {
                        var email = childSnapshot.val().email;
                        console.log("email: " + email);
                    });
                });



            });


            $('form').submit(function (e) {
                e.preventDefault();
                var Usuario = $('#txtemail').val();
                var Clave = $('#txtcontrasenia').val();
                console.log(Usuario);
                console.log(Clave);

                var ExisteLista = 0;
                firebase.database().ref().child("cliente").on('value', function (snapshot) {
                    snapshot.forEach(function (childSnapshot) {
                        var email = childSnapshot.val().email;
                        console.log("email: " + email);

                        var contrasenia = childSnapshot.val().contraseña;
                        console.log("contraseña: " + contrasenia);

                        if (Usuario === email && Clave === contrasenia) {
                            ExisteLista = 1;
                        } else {
                            ExisteLista = 0;
                        }

                    });
                });
                /*
                                if(ExisteLista>0){
                                    alert("BIENVENIDO ADMINISTRADOR");
                                }else{
                                    document.getElementById('txtcontrasenia').value="";
                                    document.getElementById('txtcuenta').value="";
                                    document.getElementById('txtcuenta').focus();
                                    alert("DATOS SE SESSION INCORRECTOS");
                
                                }*/

                var ExisteListaPorcuenta = 0;
                var ExisteListaPorclave = 0;

                firebase.database().ref().child("cliente").orderByChild("email").equalTo(Usuario).on('value', function (snapshot) {
                    snapshot.forEach(function (childSnapshot) {
                        var cuenta = childSnapshot.val().cuenta;
                        console.log("email: " + email);
                        ExisteListaPorcuenta = 1;
                    });
                });
                firebase.database().ref().child("cliente").orderByChild("contraseña").equalTo(Clave).on('value', function (snapshot) {
                    snapshot.forEach(function (childSnapshot) {
                        var contrasenia = childSnapshot.val().contraseña;
                        console.log("contrasenia: " + contrasenia);
                        ExisteListaPorclave = 1;
                    });
                });

                if (ExisteListaPorcuenta > 0 && ExisteListaPorclave > 0) {
                    alert("BIENVENIDO A FARMACIA SUSPIRO DE DIOS");
                    /*window.open("https://www.youraddress.com","_self")*/
                    console.log("Page location is " + window.location.href);
                    console.log("Page location is " + window.location.hostname);
                    console.log("Page location is " + window.location.pathname);
                    console.log("Page location is " + window.location.protocol);
                    //window.location.assign("http://127.0.0.1:5500/ProyectP2/public/html/cita.html");
                    window.open("../cliente.html", "_self");
            
                } else {
                    document.getElementById('txtcontrasenia').value = "";
                    document.getElementById('txtemail').value = "";
                    document.getElementById('txtemail').focus();
                    alert("DATOS SE SESSION INCORRECTOS");
                }


            });

        });



    </script>
</head>

<body>
    <div class="container">
        <div class="row"> 
            <div class="col-md-6 justify-content-md-center">

                <form action="" class="form-register" name="form">
                    <div class="login-form">
                        <img src="css/LogoFarm.png" class="img-fluid" alt="Responsive image">
                        <div class="form-group ">
                            <input type="email" class="form-control" placeholder="Correo " id="txtemail" name="txtemail">
                            <div id="mensajeemail"></div> 
                            <i class="fa fa-user"></i>
                        </div>
                        <div class="form-group log-status">
                            <input type="password" class="form-control" placeholder="Password" id="txtcontrasenia">
                            <i class="fa fa-lock"></i>
                        </div>
                        <a class="link" href="../cliente.html">Cancelar Inicio</a>

                        <center><button style="display:none;" id="btnlogin">Iniciar Sesión</button>
                        <button type="submit" class="log-btn" >Iniciar Sesión</button>
                            <!--<button type="submit" class="btn-link" class= "btnLogin" value="btnLogin" class="btn btn-primary" translate="1">Iniciar Sesión</button></center>-->
                        </div>

                </form>
            </div>
        </div>
    </div>

    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
        integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
        crossorigin="anonymous"></script>
</body>

</html>

